import { Signer, ContractFactory, Overrides } from "ethers";
import type { Provider, TransactionRequest } from "@ethersproject/providers";
import type { Lockable, LockableInterface } from "../../contracts/Lockable";
type LockableConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class Lockable__factory extends ContractFactory {
    constructor(...args: LockableConstructorParams);
    deploy(overrides?: Overrides & {
        from?: string;
    }): Promise<Lockable>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string;
    }): TransactionRequest;
    attach(address: string): Lockable;
    connect(signer: Signer): Lockable__factory;
    static readonly bytecode = "0x60808060405234601e57600160ff195f5416175f556039908160238239f35b5f80fdfe5f80fdfea26469706673582212200ee47c29a56b48b4c1e61721d99cb26c0f04f375aaa54567d152363f3e74916664736f6c634300081e0033";
    static readonly abi: readonly [{
        readonly inputs: readonly [];
        readonly stateMutability: "nonpayable";
        readonly type: "constructor";
    }];
    static createInterface(): LockableInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): Lockable;
}
export {};
